org.apache.synapse.commons.emulator.http.dsl.dto.consumer

## Class OutgoingMessage

- java.lang.Object
- - org.apache.synapse.commons.emulator.http.dsl.dto.consumer.OutgoingMessage

-     public class OutgoingMessage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutgoingMessage()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBody()`
    `java.util.List<Cookie>` | `getCookies()`
    `java.util.List<Header>` | `getHeaders()`
    `io.netty.handler.codec.http.HttpResponseStatus` | `getStatusCode()`
    `static OutgoingMessage` | `response()`
    `OutgoingMessage` | `withBody(java.lang.String body)`
    `OutgoingMessage` | `withCookie(java.lang.String name, java.lang.String value)`
    `OutgoingMessage` | `withCookies(Cookie... cookies)`
    `OutgoingMessage` | `withEmptyBody()`
    `OutgoingMessage` | `withHeader(java.lang.String name, java.lang.String value)`
    `OutgoingMessage` | `withHeaders(Header... headers)`
    `OutgoingMessage` | `withStatusCode(io.netty.handler.codec.http.HttpResponseStatus statusCode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingMessage

          public OutgoingMessage()

  - ### Method Detail

    - #### response

          public static OutgoingMessage response()

    - #### withStatusCode

          public OutgoingMessage withStatusCode(io.netty.handler.codec.http.HttpResponseStatus statusCode)

    - #### withCookie

          public OutgoingMessage withCookie(java.lang.String name,
                                            java.lang.String value)

    - #### withCookies

          public OutgoingMessage withCookies(Cookie... cookies)

    - #### withHeader

          public OutgoingMessage withHeader(java.lang.String name,
                                            java.lang.String value)

    - #### withHeaders

          public OutgoingMessage withHeaders(Header... headers)

    - #### withBody

          public OutgoingMessage withBody(java.lang.String body)

    - #### withEmptyBody

          public OutgoingMessage withEmptyBody()

    - #### getStatusCode

          public io.netty.handler.codec.http.HttpResponseStatus getStatusCode()

    - #### getCookies

          public java.util.List<Cookie> getCookies()

    - #### getHeaders

          public java.util.List<Header> getHeaders()

    - #### getBody

          public java.lang.String getBody()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.